void sysProcNumSet
    (
    int procNum		/* processor number */
    )
    {
    int memsize;

    sysProcNum = procNum;

    /* Set memory base address, as seen from VME bus */

    if (procNum == 0)
    {
	/* Leave A24 turned off for now, it can be enabled by sysA24MapRam() */
	*VMECHIP2_VSAMSR &=    ~(VSAMSR2_SNP_WSD|
				 VSAMSR2_WP	|
				 VSAMSR2_SUP	|
				 VSAMSR2_USR	|
				 VSAMSR2_A24	|
				 VSAMSR2_A32	|
				 VSAMSR2_D64	|
				 VSAMSR2_BLK	|
				 VSAMSR2_PGM	|
				 VSAMSR2_DAT);

	/* Map the DRAM into EXT at the same address it is mapped locally */
	*VMECHIP2_VSAR1 = (LOCAL_MEM_BUS_A32 >> 16) |
		((LOCAL_MEM_BUS_A32 + PHYS_MEM_SIZE - 1) & 0xffff0000);

	/* VME slave address translation select = inverse of upper word of size */
	*VMECHIP2_VSATR1  = (~(PHYS_MEM_SIZE - 1) >> 16) & 0xffff;

	*VMECHIP2_VSAMSR |= (VSAMSR1_SNP_WSD 	|
			     VSAMSR1_WP		|
			     VSAMSR1_SUP	|
			     VSAMSR1_USR	|
			     VSAMSR1_A32	|
			     VSAMSR1_D64	|
			     VSAMSR1_BLK	|
			     VSAMSR1_PGM	|
			     VSAMSR1_DAT);	/* all but A24 */
    }
    else
    {
		/* Place no local memory on VME bus in any address space. */
		*VMECHIP2_VSAMSR = 0x00;    /* turn off all bits */
    }
    /* set global control register VME address, based on processor number */

    if (sysProcNum < 15)
	{
	/* VME address of GCSR is function of processor number */
	memsize = *VMECHIP2_LBTVCR;
	memsize &= ~(0xfff00000);	/* clear bits */
        *VMECHIP2_LBTVCR = (memsize | (sysProcNum << 20) |
			    (GCSR_GROUP_ADDR << 24));
	}
    }
